// 注册全局组件（vue文件）
import Vue from 'vue'
// vex-table
import 'xe-utils'
import VXETable from 'vxe-table'
import 'vxe-table/lib/index.css'
import btnList from '../components/base/btnList'
import iconList from '../components/base/iconList'
import elementTable from '../components/table/elementTable'
import modalFooter from '../components/base/modalFooter'
import PTVXETable from '../components/table/PTVXETable'
import PTVXETableData from '../components/base/PTVXETableData'
import VXEIconList from '../components/base/VXEIconList'
import FileManage from '../components/file/file-manage/FileManage'
import VXESettingCol from '../components/base/VXESettingCol'
import ElTableNoPage from '../components/table/ElTableNoPage'

Vue.use(VXETable)
Vue.component('btn-list', btnList)
Vue.component('icon-list', iconList)
Vue.component('element-table', elementTable)
Vue.component('modal-footer', modalFooter)
Vue.component('PTVXETable', PTVXETable)
Vue.component('PTVXETableData', PTVXETableData)
Vue.component('VXEIconList', VXEIconList)
Vue.component('VXESettingCol', VXESettingCol)
Vue.component('FileManage', FileManage)
Vue.component('ElTableNoPage', ElTableNoPage)
